## org.eclipse.datatools.sqltools.core.profile
Class NoSuchProfileException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException

All Implemented Interfaces:
  java.io.Serializable

    public class NoSuchProfileException

extends java.lang.Exception

An exception indicates a connection profile does not exist for the given name.

Author:
  Yang Liu
See Also:
  Serialized Form

Constructor Summary
`NoSuchProfileException(java.lang.String name)` Constructs a NoSuchProfileException using the given connection profile name.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchProfileException

    public NoSuchProfileException(java.lang.String name)

  Constructs a NoSuchProfileException using the given connection profile name.

  Parameters:
    `name` - connection profile name

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.